#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libp11
Version		:	0.4.12
Release		:	14.4.0.0%{?dist}
Summary		:	Library for using PKCS#11 modules
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/OpenSC/libp11/releases

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	openssl-devel
BuildRequires	:	doxygen
#-----------------------------------------------------------------------------
%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to
make using PKCS#11 implementations easier.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc COPYING NEWS README.md
%{_includedir}/%{name}.h
%{_includedir}/p11_err.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}.so.*
%{_libdir}/engines-3/pkcs11.so
%{_libdir}/engines-3/libpkcs11.so
%{_libdir}/pkgconfig/%{name}.pc
%{_defaultdocdir}/%{name}-%{version}/api/*.{css,gif,html,js,png,svg}

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-api-doc				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
